|  | Home | Documentation | ds__SignedInfoType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
ds__SignedInfoType Struct Reference

"http://www.w3.org/2000/09/xmldsig#":SignedInfoType is a complexType. More...

`#include <ds.h>`

Collaboration diagram for ds__SignedInfoType:
[legend]

## Public Attributes

struct ds__CanonicalizationMethodType * | CanonicalizationMethod
| Element reference "http://www.w3.org/2000/09/xmldsig#":CanonicalizationMethod.
struct ds__SignatureMethodType * | SignatureMethod
| Element reference "http://www.w3.org/2000/09/xmldsig#":SignatureMethod.
int | __sizeReference
| Size of the dynamic array of struct ds__ReferenceType* is 0..unbounded.
struct ds__ReferenceType ** | Reference
| Pointer to array of struct ds__ReferenceType*.
char * | Id
| Attribute Id of type xs:ID.

## Detailed Description

"http://www.w3.org/2000/09/xmldsig#":SignedInfoType is a complexType.

Imported simpleType "http://www.w3.org/2000/09/xmldsig#":CryptoBinary from typemap WS/WS-typemap.dat. simpleType definition intentionally left blank. Imported simpleType "http://www.w3.org/2000/09/xmldsig#":DigestValueType from typemap WS/WS-typemap.dat. simpleType definition intentionally left blank. Imported simpleType "http://www.w3.org/2000/09/xmldsig#":HMACOutputLengthType from typemap WS/WS-typemap.dat. simpleType definition intentionally left blank.

## Member Data Documentation

## ◆ __sizeReference

int ds__SignedInfoType::__sizeReference

Size of the dynamic array of struct ds__ReferenceType* is 0..unbounded.

## ◆ CanonicalizationMethod

struct ds__CanonicalizationMethodType* ds__SignedInfoType::CanonicalizationMethod

Element reference "http://www.w3.org/2000/09/xmldsig#":CanonicalizationMethod.

Required element.

## ◆ Id

char* ds__SignedInfoType::Id

Attribute Id of type xs:ID.

Optional attribute.

## ◆ Reference

struct ds__ReferenceType* * ds__SignedInfoType::Reference

Pointer to array of struct ds__ReferenceType*.

## ◆ SignatureMethod

struct ds__SignatureMethodType* ds__SignedInfoType::SignatureMethod

Element reference "http://www.w3.org/2000/09/xmldsig#":SignatureMethod.

Required element.

The documentation for this struct was generated from the following file:

- ds.h